All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::GpuResourcesThrustAllocator Class Reference

Allocator for Thrust that comes out of a specified memory space. More...

## Public Types

typedef char | value_type

## Public Member Functions

| GpuResourcesThrustAllocator (void *mem, size_t size)
char * | allocate (std::ptrdiff_t size)
void | deallocate (char *p, size_t size)

## Detailed Description

Allocator for Thrust that comes out of a specified memory space.

Definition at line 19 of file ThrustAllocator.cuh.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/ThrustAllocator.cuh